Visual LISP, AutoLISP and General Customization

Reply
*Smith, Scott R
Message 1 of 4 (45 Views)

(C:Reslay) not working in Acad2002

45 Views, 3 Replies
06-14-2002 08:03 PM
For R14, I had mymenu.mns and mymenu.mnl set up so that when I inserted my
blocks from my menus and toolbuttons: the current layer state was saved
prior to inserting the block(C:Clayer) then a new layer was created and the
block was inserted, Then would revert to the previous layer (c:reslay).
However when I loaded these menus to Acad2002, non of this works, then new
layer is created and the block is inserted. Has anyone run into run into
this issue? I have pasted a sample menu macro, and my mymenu.mnl entry below
Thanks in advance.
**Typical Block insertion macro***
^C^C-layer;N;QCIRCLE;c;3;QCIRCLE;;(c:ChgLay"QCIRCLE");_-INSERT;QCIRCLE;\4;4;
;;;;;;DDATTE;LAST;\;(c:ResLay)
***.mnl entry***
(defun c:ChgLay (l)
(setq GV:smileyfrustrated:lay (getvar "CLAYER"))
(setvar "CLAYER" l)
(princ)
) ;_ end of defun
;;;-------------------------------------------------------------------------
----
;;; (c:ResLay )
;;; Revives the layer set by c:ChgLay
;;;-------------------------------------------------------------------------
----
(defun c:ResLay ()
(setvar "CLAYER" GV:smileyfrustrated:lay)
(princ)
) ;_ end of defun
*Bell, R. Robert
Message 2 of 4 (45 Views)

Re: (C:Reslay) not working in Acad2002

06-15-2002 01:21 AM in reply to: *Smith, Scott R
Scott,

^C^C-layer;N;QCIRCLE;c;3;QCIRCLE;;(c:ChgLay"QCIRCLE");+
_-INSERT;QCIRCLE;\4;4;;;;;;;DDATTE;LAST;(c:ResLay)

Notice the removal of the extraneous pause and after the DDAttE
command...

Also, I see nothing in the menu macro that explicitly sets AttDia to 0, so
that is something to think about.

--
R. Robert Bell, MCSE
www.AcadX.com


"Scott R Smith" wrote in message
news:EC54462BC7B666170FBC50B8C08C98C3@in.WebX.maYIadrTaRb...
| For R14, I had mymenu.mns and mymenu.mnl set up so that when I inserted my
| blocks from my menus and toolbuttons: the current layer state was saved
| prior to inserting the block(C:Clayer) then a new layer was created and
the
| block was inserted, Then would revert to the previous layer (c:reslay).
| However when I loaded these menus to Acad2002, non of this works, then new
| layer is created and the block is inserted. Has anyone run into run into
| this issue? I have pasted a sample menu macro, and my mymenu.mnl entry
below
| Thanks in advance.
| **Typical Block insertion macro***
|
^C^C-layer;N;QCIRCLE;c;3;QCIRCLE;;(c:ChgLay"QCIRCLE");_-INSERT;QCIRCLE;\4;4;
| ;;;;;;DDATTE;LAST;\;(c:ResLay)
| ***.mnl entry***
| (defun c:ChgLay (l)
| (setq GV:smileyfrustrated:lay (getvar "CLAYER"))
| (setvar "CLAYER" l)
| (princ)
| ) ;_ end of defun
|
;;;-------------------------------------------------------------------------
| ----
| ;;; (c:ResLay )
| ;;; Revives the layer set by c:ChgLay
|
;;;-------------------------------------------------------------------------
| ----
| (defun c:ResLay ()
| (setvar "CLAYER" GV:smileyfrustrated:lay)
| (princ)
| ) ;_ end of defun
|
|
*Smith, Scott R
Message 3 of 4 (45 Views)

Re:

06-16-2002 12:20 AM in reply to: *Smith, Scott R
Thanks Robert, you are correct my issue was macro syntax, not differances
between acad R14 and Acad2002(chair-to-keyboard interface problems can be
the worst:smileyhappy:.
"R. Robert Bell" wrote in message
news:ADD2B6348F2F331256E6BDCAC8588A19@in.WebX.maYIadrTaRb...
> Scott,
>
> ^C^C-layer;N;QCIRCLE;c;3;QCIRCLE;;(c:ChgLay"QCIRCLE");+
> _-INSERT;QCIRCLE;\4;4;;;;;;;DDATTE;LAST;(c:ResLay)
>
> Notice the removal of the extraneous pause and after the DDAttE
> command...
>
> Also, I see nothing in the menu macro that explicitly sets AttDia to 0, so
> that is something to think about.
>
> --
> R. Robert Bell, MCSE
> www.AcadX.com
>
>
> "Scott R Smith" wrote in message
> news:EC54462BC7B666170FBC50B8C08C98C3@in.WebX.maYIadrTaRb...
> | For R14, I had mymenu.mns and mymenu.mnl set up so that when I inserted
my
> | blocks from my menus and toolbuttons: the current layer state was saved
> | prior to inserting the block(C:Clayer) then a new layer was created and
> the
> | block was inserted, Then would revert to the previous layer (c:reslay).
> | However when I loaded these menus to Acad2002, non of this works, then
new
> | layer is created and the block is inserted. Has anyone run into run into
> | this issue? I have pasted a sample menu macro, and my mymenu.mnl entry
> below
> | Thanks in advance.
> | **Typical Block insertion macro***
> |
>
^C^C-layer;N;QCIRCLE;c;3;QCIRCLE;;(c:ChgLay"QCIRCLE");_-INSERT;QCIRCLE;\4;4;
> | ;;;;;;DDATTE;LAST;\;(c:ResLay)
> | ***.mnl entry***
> | (defun c:ChgLay (l)
> | (setq GV:smileyfrustrated:lay (getvar "CLAYER"))
> | (setvar "CLAYER" l)
> | (princ)
> | ) ;_ end of defun
> |
>
;;;-------------------------------------------------------------------------
> | ----
> | ;;; (c:ResLay )
> | ;;; Revives the layer set by c:ChgLay
> |
>
;;;-------------------------------------------------------------------------
> | ----
> | (defun c:ResLay ()
> | (setvar "CLAYER" GV:smileyfrustrated:lay)
> | (princ)
> | ) ;_ end of defun
> |
> |
>
>
*Alexander, Carol
Message 4 of 4 (45 Views)

Re:

06-16-2002 01:32 AM in reply to: *Smith, Scott R
(chair-to-keyboard interface problems)
Very good. I will have to remember this one.

Dave Alexander

Scott R Smith wrote:

> Thanks Robert, you are correct my issue was macro syntax, not differances
> between acad R14 and Acad2002(chair-to-keyboard interface problems can be
> the worst:smileyhappy:.
> "R. Robert Bell" wrote in message
> news:ADD2B6348F2F331256E6BDCAC8588A19@in.WebX.maYIadrTaRb...
> > Scott,
> >
> > ^C^C-layer;N;QCIRCLE;c;3;QCIRCLE;;(c:ChgLay"QCIRCLE");+
> > _-INSERT;QCIRCLE;\4;4;;;;;;;DDATTE;LAST;(c:ResLay)
> >
> > Notice the removal of the extraneous pause and after the DDAttE
> > command...
> >
> > Also, I see nothing in the menu macro that explicitly sets AttDia to 0, so
> > that is something to think about.
> >
> > --
> > R. Robert Bell, MCSE
> > www.AcadX.com
> >
> >
> > "Scott R Smith" wrote in message
> > news:EC54462BC7B666170FBC50B8C08C98C3@in.WebX.maYIadrTaRb...
> > | For R14, I had mymenu.mns and mymenu.mnl set up so that when I inserted
> my
> > | blocks from my menus and toolbuttons: the current layer state was saved
> > | prior to inserting the block(C:Clayer) then a new layer was created and
> > the
> > | block was inserted, Then would revert to the previous layer (c:reslay).
> > | However when I loaded these menus to Acad2002, non of this works, then
> new
> > | layer is created and the block is inserted. Has anyone run into run into
> > | this issue? I have pasted a sample menu macro, and my mymenu.mnl entry
> > below
> > | Thanks in advance.
> > | **Typical Block insertion macro***
> > |
> >
> ^C^C-layer;N;QCIRCLE;c;3;QCIRCLE;;(c:ChgLay"QCIRCLE");_-INSERT;QCIRCLE;\4;4;
> > | ;;;;;;DDATTE;LAST;\;(c:ResLay)
> > | ***.mnl entry***
> > | (defun c:ChgLay (l)
> > | (setq GV:smileyfrustrated:lay (getvar "CLAYER"))
> > | (setvar "CLAYER" l)
> > | (princ)
> > | ) ;_ end of defun
> > |
> >
> ;;;-------------------------------------------------------------------------
> > | ----
> > | ;;; (c:ResLay )
> > | ;;; Revives the layer set by c:ChgLay
> > |
> >
> ;;;-------------------------------------------------------------------------
> > | ----
> > | (defun c:ResLay ()
> > | (setvar "CLAYER" GV:smileyfrustrated:lay)
> > | (princ)
> > | ) ;_ end of defun
> > |
> > |
> >
> >

You are not logged in.

Log into access your profile, ask and answer questions, share ideas and more. Haven't signed up yet? Register

Announcements
Are you familiar with the Autodesk Expert Elites? The Expert Elite program is made up of customers that help other customers by sharing knowledge and exemplifying an engaging style of collaboration. To learn more, please visit our Expert Elite website.

Need installation help?

Start with some of our most frequented solutions to get help installing your software.

Ask the Community